#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'gtk2'

alias e puts

window = Gtk::Window.new

button1 = Gtk::Button.new
button1.label = 'Button #1 RELIEF_HALF'
button1.signal_connect(:clicked) { e 'Hello world!' }
button1.relief = Gtk::RELIEF_HALF

button2 = Gtk::Button.new
button2.label = 'Button #2 RELIEF_NONE'
button2.signal_connect(:clicked) { e 'Hello world!' }
button2.relief = Gtk::RELIEF_NONE

button3 = Gtk::Button.new
button3.label = 'Button #3 RELIEF_NORMAL'
button3.signal_connect(:clicked) { e 'Hello world!' }
button3.relief = Gtk::RELIEF_NORMAL

hbox = Gtk::HBox.new
hbox.pack_start(button1, true, true, 5)
hbox.pack_start(button2, true, true, 5)
hbox.pack_start(button3, true, true, 5)
window.add(hbox)
window.show_all
window.move(0, 0)
window.set_size_request(800, 200)
Gtk.main